html {
    box-sizing: border-box;
}

html::-webkit-scrollbar {
    width: 0;
  }
    
*,
*::before,
*::after {
    box-sizing: inherit;
}
    
a {
    color: inherit;
    text-decoration: none;
}

img {
    max-width: 100%;
}

body {
    font-family: 'Nunito Sans', sans-serif;
    font-weight: 400;
    padding: 0;
    margin: 0;
}

#app-root{
    display: flex;
    flex-flow: column wrap;
    height: 100vh;
}

.header{
    width: 25%;
    height: 150px;
    padding: 10px;
    color: aliceblue;
    box-shadow: inset 0px 2px 5px rgb(0, 0, 0);
    background: rgb(24,5,55);
    background: linear-gradient(90deg, rgba(24,5,55,1) 0%,rgba(56,24,103,1) 100%);

}

.aside, .main{
    box-shadow: inset 0px 2px 5px rgb(0, 0, 0);
    padding: 20px 16px;
    color: aliceblue;
}
.aside{
    width: 25%;
    height: calc(100vh - 150px);
    background: linear-gradient(90deg, rgba(56,24,103,1) 0%,rgba(24,5,55,1) 100%);
    
    display: flex;
    flex-flow: column nowrap;
    gap: 10px;
    text-align: center;
}

.main{
    width: 75%;
    height: 100vh;
    background: linear-gradient(90deg, 
    rgba(24,5,55,1) 0%, 
    rgba(63,28,114,1) 50%, 
    rgba(24,5,55,1) 100%);
    overflow: scroll;
}

.main::-webkit-scrollbar {
    width: 0;
    height: 0;
}

.searchHeading{
    margin: 0;
}

.searchLabel{
    background-color: #170630;
    width: 100%;
    padding: 10px 16px;
    cursor: pointer;
    box-shadow:  0px 0px 3px rgb(0, 0, 0);
}

.searchLabel:hover{
    background: rgb(81,32,128);
    background: linear-gradient(90deg, rgba(81,32,128,1) 0%, rgba(32,10,68,1) 20%, rgba(23,6,48,1) 50%, rgba(32,10,68,1) 80%, rgba(81,32,128,1) 100%);
}

.searchLabel input{
    visibility: hidden;
    width: 0;
    margin: 0;
}

.searchLabel:has(input:checked) {
    background-color: #512080;
}
.searchLabel:hover:has(input:checked) {
    background: #512080;
}

.select {
    margin-top: 20px;
    padding: 10px 16px;
    cursor: pointer;
    background-color: #512080;
    border-radius: 0px;
    color: aliceblue;
    border: none;
    appearance: none;
    
    box-shadow:  0px 0px 3px rgb(0, 0, 0);

    background-image: url("dropArrow.png");
    background-size: 20px ;
    background-repeat: no-repeat;
    background-position: right;
    outline: none;
}

.select:hover{
    background: linear-gradient(90deg, rgba(209,63,192,1) 0%, rgba(81,32,128,1) 40%, rgba(82, 32, 128, 0) 100%) ;
    
}

.select:focus > .option:checked{
    background-color: #512080;
}

.option{
    display: inline-block;
    border-radius: 0px;
    padding: 10px 16px;
    line-height: 20px;
    height: 20px;
    background-color: #170630;
    appearance: none;
}

#countryTable{
    width: 100%;
    border-spacing: 0px 10px;
}

.pointer{
    cursor: pointer;
    display: flex;
    flex-direction: row;
}

.arrows{
    margin-left: 10px;
    height: 20px;
    vertical-align: middle;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.arrow{
    height: 8px;
    width: 13px;
    opacity: 0.5;
}

.arrows .iUp{
    transform: rotate(180deg);
    
    
}

.shineArrow{
    opacity: 1;
    background: radial-gradient(rgba(209,63,192,1) 0%, transparent 70%);
}

th, td{
    overflow: hidden;
    padding: 5px 10px ;
    border: none;
    text-align: center;
}

tbody tr{
    padding-top: 100px;
    background-color: #51208D;
    box-shadow:  0px 0px 3px rgb(0, 0, 0);
    border: none;
    background: rgb(209,63,192);
    background: linear-gradient(90deg, rgba(209,63,192,1) 0%, rgba(81,32,128,1) 20%, rgba(81,32,128,1) 100%);
}

.languages ul{
    padding: 0;
    margin: 0;
    list-style-type: none;
    display: flex;
    flex-flow: row wrap;
    gap: 5px;
    justify-content: center;
}

.languages ul .language{
    padding: 0;
}

.flag{
    padding: 0;
    width: 80px;
}

.flag img{
    height: 50px;
    width: 80px;
    display: block;
    opacity: 0.8;
}

.rotate180{
    transform: rotate(180deg);
    transition: 3s ease;
}

.hide{
    display: none;
}